# CvBlobTrackFVGen Class Reference

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTrackFVGen:

List of all members.

## Public Member Functions

virtual void | AddBlob (CvBlob *pBlob)=0
| CvBlobTrackFVGen ()
virtual float * | GetFV (int index, int *pFVID)=0
virtual float * | GetFVMax ()=0
virtual float * | GetFVMin ()=0
virtual int | GetFVNum ()=0
virtual int | GetFVSize ()=0
virtual float * | GetFVVar ()
virtual void | Process (IplImage *pImg, IplImage *pFG)=0
virtual void | Release ()=0

## Constructor & Destructor Documentation

CvBlobTrackFVGen::CvBlobTrackFVGen | ( | ) | `[inline]`

## Member Function Documentation

virtual void CvBlobTrackFVGen::AddBlob | ( | CvBlob * | pBlob ) | `[pure virtual]`

virtual float* CvBlobTrackFVGen::GetFV | ( | int | index,
|  | int * | pFVID
| ) |  | `[pure virtual]`

virtual float* CvBlobTrackFVGen::GetFVMax | ( | ) | `[pure virtual]`

virtual float* CvBlobTrackFVGen::GetFVMin | ( | ) | `[pure virtual]`

virtual int CvBlobTrackFVGen::GetFVNum | ( | ) | `[pure virtual]`

virtual int CvBlobTrackFVGen::GetFVSize | ( | ) | `[pure virtual]`

virtual float* CvBlobTrackFVGen::GetFVVar | ( | ) | `[inline, virtual]`

virtual void CvBlobTrackFVGen::Process | ( | IplImage * | pImg,
|  | IplImage * | pFG
| ) |  | `[pure virtual]`

virtual void CvBlobTrackFVGen::Release | ( | ) | `[pure virtual]`

Implements CvVSModule.

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines